Subject: Visual Studio linking
From: Alastair Growcott <[email-masked]>
To: [email-masked]
Date: Wed, 2 Jun 2004 09:19:09 +0100 (GMT Daylight Time)

Hi.

I have read all the FAQs and stuff. I have searched the web. I would like a step by step list of instructions to achieve the following.

I want to use check to test an MFC application. This means I must use the Visual Studio compiler, cl, and linker, link.
Check calls fork(). This function is implemented in the cygwin1.dll.
I cannot link using the DLL. I read somewhere that libcygwin.a is equivalent to the cygwin1.lib, but when I try and link against it I get all sorts of bizarre symbols not found. According to cygcheck, cygwin1.dll only has dependencies on standard Windows DLLs that I am already linking against.

So how do I;

a) obtain a version of cygwin1.lib that I can link against using the Visual Studio linker that will work nicely and neatly, or
b) link against libcygwin.a using the Visual Studio linker.

Alastair Growcott
Software Maintenance Engineer

BakBone Software
Merck House
Seldown Lane
Poole, BH15 1TW
P +44 (0)1202 241000
F +44 (0)1202 249000
[email-masked]
www.bakbone.com
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/